Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network134.0.0.0/7
Usable hosts33,554,430
Subnet mask254.0.0.0
Addresses33,554,432
Network address
134.0.0.0
Broadcast address
135.255.255.255
First usable
134.0.0.1
Last usable
135.255.255.254
Usable hosts
33,554,430 (33,554,432 less the network and broadcast addresses)
Subnet mask
254.0.0.0
Wildcard mask
1.255.255.255 (Cisco ACLs, OSPF)
Prefix length
/7
Type
Public public
Old class
B (default /16)
As numbers
Hex 86000000 · Integer 2248146944 to 2281701375
Reverse DNS zones
134.in-addr.arpa
135.in-addr.arpa
/7 is not on a 8-bit boundary, so it takes 2 /8 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000110.00000000.00000000.00000000134.0.0.0
Subnet mask11111110.00000000.00000000.00000000254.0.0.0
Network10000110.00000000.00000000.00000000134.0.0.0
Broadcast10000111.11111111.11111111.11111111135.255.255.255
Split into smaller subnets/15

134.0.0.0/7 makes 256 subnets of /15.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1134.0.0.0/15134.0.0.1 to 134.1.255.254134.1.255.255131,070
2134.2.0.0/15134.2.0.1 to 134.3.255.254134.3.255.255131,070
3134.4.0.0/15134.4.0.1 to 134.5.255.254134.5.255.255131,070
4134.6.0.0/15134.6.0.1 to 134.7.255.254134.7.255.255131,070
5134.8.0.0/15134.8.0.1 to 134.9.255.254134.9.255.255131,070
6134.10.0.0/15134.10.0.1 to 134.11.255.254134.11.255.255131,070
7134.12.0.0/15134.12.0.1 to 134.13.255.254134.13.255.255131,070
8134.14.0.0/15134.14.0.1 to 134.15.255.254134.15.255.255131,070
9134.16.0.0/15134.16.0.1 to 134.17.255.254134.17.255.255131,070
10134.18.0.0/15134.18.0.1 to 134.19.255.254134.19.255.255131,070
11134.20.0.0/15134.20.0.1 to 134.21.255.254134.21.255.255131,070
12134.22.0.0/15134.22.0.1 to 134.23.255.254134.23.255.255131,070
13134.24.0.0/15134.24.0.1 to 134.25.255.254134.25.255.255131,070
14134.26.0.0/15134.26.0.1 to 134.27.255.254134.27.255.255131,070
15134.28.0.0/15134.28.0.1 to 134.29.255.254134.29.255.255131,070
16134.30.0.0/15134.30.0.1 to 134.31.255.254134.31.255.255131,070
17134.32.0.0/15134.32.0.1 to 134.33.255.254134.33.255.255131,070
18134.34.0.0/15134.34.0.1 to 134.35.255.254134.35.255.255131,070
19134.36.0.0/15134.36.0.1 to 134.37.255.254134.37.255.255131,070
20134.38.0.0/15134.38.0.1 to 134.39.255.254134.39.255.255131,070
21134.40.0.0/15134.40.0.1 to 134.41.255.254134.41.255.255131,070
22134.42.0.0/15134.42.0.1 to 134.43.255.254134.43.255.255131,070
23134.44.0.0/15134.44.0.1 to 134.45.255.254134.45.255.255131,070
24134.46.0.0/15134.46.0.1 to 134.47.255.254134.47.255.255131,070
25134.48.0.0/15134.48.0.1 to 134.49.255.254134.49.255.255131,070
26134.50.0.0/15134.50.0.1 to 134.51.255.254134.51.255.255131,070
27134.52.0.0/15134.52.0.1 to 134.53.255.254134.53.255.255131,070
28134.54.0.0/15134.54.0.1 to 134.55.255.254134.55.255.255131,070
29134.56.0.0/15134.56.0.1 to 134.57.255.254134.57.255.255131,070
30134.58.0.0/15134.58.0.1 to 134.59.255.254134.59.255.255131,070
31134.60.0.0/15134.60.0.1 to 134.61.255.254134.61.255.255131,070
32134.62.0.0/15134.62.0.1 to 134.63.255.254134.63.255.255131,070
33134.64.0.0/15134.64.0.1 to 134.65.255.254134.65.255.255131,070
34134.66.0.0/15134.66.0.1 to 134.67.255.254134.67.255.255131,070
35134.68.0.0/15134.68.0.1 to 134.69.255.254134.69.255.255131,070
36134.70.0.0/15134.70.0.1 to 134.71.255.254134.71.255.255131,070
37134.72.0.0/15134.72.0.1 to 134.73.255.254134.73.255.255131,070
38134.74.0.0/15134.74.0.1 to 134.75.255.254134.75.255.255131,070
39134.76.0.0/15134.76.0.1 to 134.77.255.254134.77.255.255131,070
40134.78.0.0/15134.78.0.1 to 134.79.255.254134.79.255.255131,070
41134.80.0.0/15134.80.0.1 to 134.81.255.254134.81.255.255131,070
42134.82.0.0/15134.82.0.1 to 134.83.255.254134.83.255.255131,070
43134.84.0.0/15134.84.0.1 to 134.85.255.254134.85.255.255131,070
44134.86.0.0/15134.86.0.1 to 134.87.255.254134.87.255.255131,070
45134.88.0.0/15134.88.0.1 to 134.89.255.254134.89.255.255131,070
46134.90.0.0/15134.90.0.1 to 134.91.255.254134.91.255.255131,070
47134.92.0.0/15134.92.0.1 to 134.93.255.254134.93.255.255131,070
48134.94.0.0/15134.94.0.1 to 134.95.255.254134.95.255.255131,070
49134.96.0.0/15134.96.0.1 to 134.97.255.254134.97.255.255131,070
50134.98.0.0/15134.98.0.1 to 134.99.255.254134.99.255.255131,070
51134.100.0.0/15134.100.0.1 to 134.101.255.254134.101.255.255131,070
52134.102.0.0/15134.102.0.1 to 134.103.255.254134.103.255.255131,070
53134.104.0.0/15134.104.0.1 to 134.105.255.254134.105.255.255131,070
54134.106.0.0/15134.106.0.1 to 134.107.255.254134.107.255.255131,070
55134.108.0.0/15134.108.0.1 to 134.109.255.254134.109.255.255131,070
56134.110.0.0/15134.110.0.1 to 134.111.255.254134.111.255.255131,070
57134.112.0.0/15134.112.0.1 to 134.113.255.254134.113.255.255131,070
58134.114.0.0/15134.114.0.1 to 134.115.255.254134.115.255.255131,070
59134.116.0.0/15134.116.0.1 to 134.117.255.254134.117.255.255131,070
60134.118.0.0/15134.118.0.1 to 134.119.255.254134.119.255.255131,070
61134.120.0.0/15134.120.0.1 to 134.121.255.254134.121.255.255131,070
62134.122.0.0/15134.122.0.1 to 134.123.255.254134.123.255.255131,070
63134.124.0.0/15134.124.0.1 to 134.125.255.254134.125.255.255131,070
64134.126.0.0/15134.126.0.1 to 134.127.255.254134.127.255.255131,070
65134.128.0.0/15134.128.0.1 to 134.129.255.254134.129.255.255131,070
66134.130.0.0/15134.130.0.1 to 134.131.255.254134.131.255.255131,070
67134.132.0.0/15134.132.0.1 to 134.133.255.254134.133.255.255131,070
68134.134.0.0/15134.134.0.1 to 134.135.255.254134.135.255.255131,070
69134.136.0.0/15134.136.0.1 to 134.137.255.254134.137.255.255131,070
70134.138.0.0/15134.138.0.1 to 134.139.255.254134.139.255.255131,070
71134.140.0.0/15134.140.0.1 to 134.141.255.254134.141.255.255131,070
72134.142.0.0/15134.142.0.1 to 134.143.255.254134.143.255.255131,070
73134.144.0.0/15134.144.0.1 to 134.145.255.254134.145.255.255131,070
74134.146.0.0/15134.146.0.1 to 134.147.255.254134.147.255.255131,070
75134.148.0.0/15134.148.0.1 to 134.149.255.254134.149.255.255131,070
76134.150.0.0/15134.150.0.1 to 134.151.255.254134.151.255.255131,070
77134.152.0.0/15134.152.0.1 to 134.153.255.254134.153.255.255131,070
78134.154.0.0/15134.154.0.1 to 134.155.255.254134.155.255.255131,070
79134.156.0.0/15134.156.0.1 to 134.157.255.254134.157.255.255131,070
80134.158.0.0/15134.158.0.1 to 134.159.255.254134.159.255.255131,070
81134.160.0.0/15134.160.0.1 to 134.161.255.254134.161.255.255131,070
82134.162.0.0/15134.162.0.1 to 134.163.255.254134.163.255.255131,070
83134.164.0.0/15134.164.0.1 to 134.165.255.254134.165.255.255131,070
84134.166.0.0/15134.166.0.1 to 134.167.255.254134.167.255.255131,070
85134.168.0.0/15134.168.0.1 to 134.169.255.254134.169.255.255131,070
86134.170.0.0/15134.170.0.1 to 134.171.255.254134.171.255.255131,070
87134.172.0.0/15134.172.0.1 to 134.173.255.254134.173.255.255131,070
88134.174.0.0/15134.174.0.1 to 134.175.255.254134.175.255.255131,070
89134.176.0.0/15134.176.0.1 to 134.177.255.254134.177.255.255131,070
90134.178.0.0/15134.178.0.1 to 134.179.255.254134.179.255.255131,070
91134.180.0.0/15134.180.0.1 to 134.181.255.254134.181.255.255131,070
92134.182.0.0/15134.182.0.1 to 134.183.255.254134.183.255.255131,070
93134.184.0.0/15134.184.0.1 to 134.185.255.254134.185.255.255131,070
94134.186.0.0/15134.186.0.1 to 134.187.255.254134.187.255.255131,070
95134.188.0.0/15134.188.0.1 to 134.189.255.254134.189.255.255131,070
96134.190.0.0/15134.190.0.1 to 134.191.255.254134.191.255.255131,070
97134.192.0.0/15134.192.0.1 to 134.193.255.254134.193.255.255131,070
98134.194.0.0/15134.194.0.1 to 134.195.255.254134.195.255.255131,070
99134.196.0.0/15134.196.0.1 to 134.197.255.254134.197.255.255131,070
100134.198.0.0/15134.198.0.1 to 134.199.255.254134.199.255.255131,070
101134.200.0.0/15134.200.0.1 to 134.201.255.254134.201.255.255131,070
102134.202.0.0/15134.202.0.1 to 134.203.255.254134.203.255.255131,070
103134.204.0.0/15134.204.0.1 to 134.205.255.254134.205.255.255131,070
104134.206.0.0/15134.206.0.1 to 134.207.255.254134.207.255.255131,070
105134.208.0.0/15134.208.0.1 to 134.209.255.254134.209.255.255131,070
106134.210.0.0/15134.210.0.1 to 134.211.255.254134.211.255.255131,070
107134.212.0.0/15134.212.0.1 to 134.213.255.254134.213.255.255131,070
108134.214.0.0/15134.214.0.1 to 134.215.255.254134.215.255.255131,070
109134.216.0.0/15134.216.0.1 to 134.217.255.254134.217.255.255131,070
110134.218.0.0/15134.218.0.1 to 134.219.255.254134.219.255.255131,070
111134.220.0.0/15134.220.0.1 to 134.221.255.254134.221.255.255131,070
112134.222.0.0/15134.222.0.1 to 134.223.255.254134.223.255.255131,070
113134.224.0.0/15134.224.0.1 to 134.225.255.254134.225.255.255131,070
114134.226.0.0/15134.226.0.1 to 134.227.255.254134.227.255.255131,070
115134.228.0.0/15134.228.0.1 to 134.229.255.254134.229.255.255131,070
116134.230.0.0/15134.230.0.1 to 134.231.255.254134.231.255.255131,070
117134.232.0.0/15134.232.0.1 to 134.233.255.254134.233.255.255131,070
118134.234.0.0/15134.234.0.1 to 134.235.255.254134.235.255.255131,070
119134.236.0.0/15134.236.0.1 to 134.237.255.254134.237.255.255131,070
120134.238.0.0/15134.238.0.1 to 134.239.255.254134.239.255.255131,070
121134.240.0.0/15134.240.0.1 to 134.241.255.254134.241.255.255131,070
122134.242.0.0/15134.242.0.1 to 134.243.255.254134.243.255.255131,070
123134.244.0.0/15134.244.0.1 to 134.245.255.254134.245.255.255131,070
124134.246.0.0/15134.246.0.1 to 134.247.255.254134.247.255.255131,070
125134.248.0.0/15134.248.0.1 to 134.249.255.254134.249.255.255131,070
126134.250.0.0/15134.250.0.1 to 134.251.255.254134.251.255.255131,070
127134.252.0.0/15134.252.0.1 to 134.253.255.254134.253.255.255131,070
128134.254.0.0/15134.254.0.1 to 134.255.255.254134.255.255.255131,070
129135.0.0.0/15135.0.0.1 to 135.1.255.254135.1.255.255131,070
130135.2.0.0/15135.2.0.1 to 135.3.255.254135.3.255.255131,070
131135.4.0.0/15135.4.0.1 to 135.5.255.254135.5.255.255131,070
132135.6.0.0/15135.6.0.1 to 135.7.255.254135.7.255.255131,070
133135.8.0.0/15135.8.0.1 to 135.9.255.254135.9.255.255131,070
134135.10.0.0/15135.10.0.1 to 135.11.255.254135.11.255.255131,070
135135.12.0.0/15135.12.0.1 to 135.13.255.254135.13.255.255131,070
136135.14.0.0/15135.14.0.1 to 135.15.255.254135.15.255.255131,070
137135.16.0.0/15135.16.0.1 to 135.17.255.254135.17.255.255131,070
138135.18.0.0/15135.18.0.1 to 135.19.255.254135.19.255.255131,070
139135.20.0.0/15135.20.0.1 to 135.21.255.254135.21.255.255131,070
140135.22.0.0/15135.22.0.1 to 135.23.255.254135.23.255.255131,070
141135.24.0.0/15135.24.0.1 to 135.25.255.254135.25.255.255131,070
142135.26.0.0/15135.26.0.1 to 135.27.255.254135.27.255.255131,070
143135.28.0.0/15135.28.0.1 to 135.29.255.254135.29.255.255131,070
144135.30.0.0/15135.30.0.1 to 135.31.255.254135.31.255.255131,070
145135.32.0.0/15135.32.0.1 to 135.33.255.254135.33.255.255131,070
146135.34.0.0/15135.34.0.1 to 135.35.255.254135.35.255.255131,070
147135.36.0.0/15135.36.0.1 to 135.37.255.254135.37.255.255131,070
148135.38.0.0/15135.38.0.1 to 135.39.255.254135.39.255.255131,070
149135.40.0.0/15135.40.0.1 to 135.41.255.254135.41.255.255131,070
150135.42.0.0/15135.42.0.1 to 135.43.255.254135.43.255.255131,070
151135.44.0.0/15135.44.0.1 to 135.45.255.254135.45.255.255131,070
152135.46.0.0/15135.46.0.1 to 135.47.255.254135.47.255.255131,070
153135.48.0.0/15135.48.0.1 to 135.49.255.254135.49.255.255131,070
154135.50.0.0/15135.50.0.1 to 135.51.255.254135.51.255.255131,070
155135.52.0.0/15135.52.0.1 to 135.53.255.254135.53.255.255131,070
156135.54.0.0/15135.54.0.1 to 135.55.255.254135.55.255.255131,070
157135.56.0.0/15135.56.0.1 to 135.57.255.254135.57.255.255131,070
158135.58.0.0/15135.58.0.1 to 135.59.255.254135.59.255.255131,070
159135.60.0.0/15135.60.0.1 to 135.61.255.254135.61.255.255131,070
160135.62.0.0/15135.62.0.1 to 135.63.255.254135.63.255.255131,070
161135.64.0.0/15135.64.0.1 to 135.65.255.254135.65.255.255131,070
162135.66.0.0/15135.66.0.1 to 135.67.255.254135.67.255.255131,070
163135.68.0.0/15135.68.0.1 to 135.69.255.254135.69.255.255131,070
164135.70.0.0/15135.70.0.1 to 135.71.255.254135.71.255.255131,070
165135.72.0.0/15135.72.0.1 to 135.73.255.254135.73.255.255131,070
166135.74.0.0/15135.74.0.1 to 135.75.255.254135.75.255.255131,070
167135.76.0.0/15135.76.0.1 to 135.77.255.254135.77.255.255131,070
168135.78.0.0/15135.78.0.1 to 135.79.255.254135.79.255.255131,070
169135.80.0.0/15135.80.0.1 to 135.81.255.254135.81.255.255131,070
170135.82.0.0/15135.82.0.1 to 135.83.255.254135.83.255.255131,070
171135.84.0.0/15135.84.0.1 to 135.85.255.254135.85.255.255131,070
172135.86.0.0/15135.86.0.1 to 135.87.255.254135.87.255.255131,070
173135.88.0.0/15135.88.0.1 to 135.89.255.254135.89.255.255131,070
174135.90.0.0/15135.90.0.1 to 135.91.255.254135.91.255.255131,070
175135.92.0.0/15135.92.0.1 to 135.93.255.254135.93.255.255131,070
176135.94.0.0/15135.94.0.1 to 135.95.255.254135.95.255.255131,070
177135.96.0.0/15135.96.0.1 to 135.97.255.254135.97.255.255131,070
178135.98.0.0/15135.98.0.1 to 135.99.255.254135.99.255.255131,070
179135.100.0.0/15135.100.0.1 to 135.101.255.254135.101.255.255131,070
180135.102.0.0/15135.102.0.1 to 135.103.255.254135.103.255.255131,070
181135.104.0.0/15135.104.0.1 to 135.105.255.254135.105.255.255131,070
182135.106.0.0/15135.106.0.1 to 135.107.255.254135.107.255.255131,070
183135.108.0.0/15135.108.0.1 to 135.109.255.254135.109.255.255131,070
184135.110.0.0/15135.110.0.1 to 135.111.255.254135.111.255.255131,070
185135.112.0.0/15135.112.0.1 to 135.113.255.254135.113.255.255131,070
186135.114.0.0/15135.114.0.1 to 135.115.255.254135.115.255.255131,070
187135.116.0.0/15135.116.0.1 to 135.117.255.254135.117.255.255131,070
188135.118.0.0/15135.118.0.1 to 135.119.255.254135.119.255.255131,070
189135.120.0.0/15135.120.0.1 to 135.121.255.254135.121.255.255131,070
190135.122.0.0/15135.122.0.1 to 135.123.255.254135.123.255.255131,070
191135.124.0.0/15135.124.0.1 to 135.125.255.254135.125.255.255131,070
192135.126.0.0/15135.126.0.1 to 135.127.255.254135.127.255.255131,070
193135.128.0.0/15135.128.0.1 to 135.129.255.254135.129.255.255131,070
194135.130.0.0/15135.130.0.1 to 135.131.255.254135.131.255.255131,070
195135.132.0.0/15135.132.0.1 to 135.133.255.254135.133.255.255131,070
196135.134.0.0/15135.134.0.1 to 135.135.255.254135.135.255.255131,070
197135.136.0.0/15135.136.0.1 to 135.137.255.254135.137.255.255131,070
198135.138.0.0/15135.138.0.1 to 135.139.255.254135.139.255.255131,070
199135.140.0.0/15135.140.0.1 to 135.141.255.254135.141.255.255131,070
200135.142.0.0/15135.142.0.1 to 135.143.255.254135.143.255.255131,070
201135.144.0.0/15135.144.0.1 to 135.145.255.254135.145.255.255131,070
202135.146.0.0/15135.146.0.1 to 135.147.255.254135.147.255.255131,070
203135.148.0.0/15135.148.0.1 to 135.149.255.254135.149.255.255131,070
204135.150.0.0/15135.150.0.1 to 135.151.255.254135.151.255.255131,070
205135.152.0.0/15135.152.0.1 to 135.153.255.254135.153.255.255131,070
206135.154.0.0/15135.154.0.1 to 135.155.255.254135.155.255.255131,070
207135.156.0.0/15135.156.0.1 to 135.157.255.254135.157.255.255131,070
208135.158.0.0/15135.158.0.1 to 135.159.255.254135.159.255.255131,070
209135.160.0.0/15135.160.0.1 to 135.161.255.254135.161.255.255131,070
210135.162.0.0/15135.162.0.1 to 135.163.255.254135.163.255.255131,070
211135.164.0.0/15135.164.0.1 to 135.165.255.254135.165.255.255131,070
212135.166.0.0/15135.166.0.1 to 135.167.255.254135.167.255.255131,070
213135.168.0.0/15135.168.0.1 to 135.169.255.254135.169.255.255131,070
214135.170.0.0/15135.170.0.1 to 135.171.255.254135.171.255.255131,070
215135.172.0.0/15135.172.0.1 to 135.173.255.254135.173.255.255131,070
216135.174.0.0/15135.174.0.1 to 135.175.255.254135.175.255.255131,070
217135.176.0.0/15135.176.0.1 to 135.177.255.254135.177.255.255131,070
218135.178.0.0/15135.178.0.1 to 135.179.255.254135.179.255.255131,070
219135.180.0.0/15135.180.0.1 to 135.181.255.254135.181.255.255131,070
220135.182.0.0/15135.182.0.1 to 135.183.255.254135.183.255.255131,070
221135.184.0.0/15135.184.0.1 to 135.185.255.254135.185.255.255131,070
222135.186.0.0/15135.186.0.1 to 135.187.255.254135.187.255.255131,070
223135.188.0.0/15135.188.0.1 to 135.189.255.254135.189.255.255131,070
224135.190.0.0/15135.190.0.1 to 135.191.255.254135.191.255.255131,070
225135.192.0.0/15135.192.0.1 to 135.193.255.254135.193.255.255131,070
226135.194.0.0/15135.194.0.1 to 135.195.255.254135.195.255.255131,070
227135.196.0.0/15135.196.0.1 to 135.197.255.254135.197.255.255131,070
228135.198.0.0/15135.198.0.1 to 135.199.255.254135.199.255.255131,070
229135.200.0.0/15135.200.0.1 to 135.201.255.254135.201.255.255131,070
230135.202.0.0/15135.202.0.1 to 135.203.255.254135.203.255.255131,070
231135.204.0.0/15135.204.0.1 to 135.205.255.254135.205.255.255131,070
232135.206.0.0/15135.206.0.1 to 135.207.255.254135.207.255.255131,070
233135.208.0.0/15135.208.0.1 to 135.209.255.254135.209.255.255131,070
234135.210.0.0/15135.210.0.1 to 135.211.255.254135.211.255.255131,070
235135.212.0.0/15135.212.0.1 to 135.213.255.254135.213.255.255131,070
236135.214.0.0/15135.214.0.1 to 135.215.255.254135.215.255.255131,070
237135.216.0.0/15135.216.0.1 to 135.217.255.254135.217.255.255131,070
238135.218.0.0/15135.218.0.1 to 135.219.255.254135.219.255.255131,070
239135.220.0.0/15135.220.0.1 to 135.221.255.254135.221.255.255131,070
240135.222.0.0/15135.222.0.1 to 135.223.255.254135.223.255.255131,070
241135.224.0.0/15135.224.0.1 to 135.225.255.254135.225.255.255131,070
242135.226.0.0/15135.226.0.1 to 135.227.255.254135.227.255.255131,070
243135.228.0.0/15135.228.0.1 to 135.229.255.254135.229.255.255131,070
244135.230.0.0/15135.230.0.1 to 135.231.255.254135.231.255.255131,070
245135.232.0.0/15135.232.0.1 to 135.233.255.254135.233.255.255131,070
246135.234.0.0/15135.234.0.1 to 135.235.255.254135.235.255.255131,070
247135.236.0.0/15135.236.0.1 to 135.237.255.254135.237.255.255131,070
248135.238.0.0/15135.238.0.1 to 135.239.255.254135.239.255.255131,070
249135.240.0.0/15135.240.0.1 to 135.241.255.254135.241.255.255131,070
250135.242.0.0/15135.242.0.1 to 135.243.255.254135.243.255.255131,070
251135.244.0.0/15135.244.0.1 to 135.245.255.254135.245.255.255131,070
252135.246.0.0/15135.246.0.1 to 135.247.255.254135.247.255.255131,070
253135.248.0.0/15135.248.0.1 to 135.249.255.254135.249.255.255131,070
254135.250.0.0/15135.250.0.1 to 135.251.255.254135.251.255.255131,070
255135.252.0.0/15135.252.0.1 to 135.253.255.254135.253.255.255131,070
256135.254.0.0/15135.254.0.1 to 135.255.255.254135.255.255.255131,070

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses